Skip to main content
PATCH
Update canned response
Required scopes: accounts--my:ro

Authorizations

Authorization
string
header
required

Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.

Path Parameters

cannedResponseID
string
required

Body

application/json
teamID
string | null

Canned response team

Example:

"f56caf69-3f05-4386-9567-fdc909d7ad77"

text
string
Example:

"Thank you for contacting us! We'll reply soon!"

shortcuts
string[]

List of shortcuts for the canned response

richTextObj
object[]

Richtext object representing canned response body

transactionID
string<uuid>

References transaction containing uploaded attachment used in canned response.

Response

200 - application/json

Successful response.

ID
string<uuid>

Unique object identifier.

licenseID
integer

Unique account identifier.

createdAt
string<date-time>

The time of creation.

createdBy
string<uuid>

The creator identifier.

createdByType
enum<string>

The creator type.

Available options:
agent,
client,
system
updatedAt
string<date-time>

The time of last modification.

updatedBy
string<uuid>

The modification author identifier.

teamID
string | null

The canned response team.

shortcuts
string[]

A list of shortcuts for the canned response.

text
string
richTextObj
object[]

A richtext object representing canned response body.

attachments
object[]

The attachments list used in richTextObj.